<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectTypeGuids>{BAA0C2D2-18E2-41B9-852F-F413020CAA33};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <OutputType>Library</OutputType>
    <NoStandardLibraries>false</NoStandardLibraries>
    <RootNamespace>AsianOptions</RootNamespace>
    <AssemblyName>AsianOptions</AssemblyName>
    <VSTO_HostDocumentName>AsianOptionPricingCSharpBehind.xlsx</VSTO_HostDocumentName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <OfficeApplication>Excel</OfficeApplication>
    <ProjectGuid>{2F6F9785-033C-410E-8022-AD3A579D6F41}</ProjectGuid>
    <SolutionID>5fa5576a-242d-4a61-a77f-decca031f3f1</SolutionID>
    <ManifestCertificateThumbprint>91288F6BD48A3F31F3A185C9C00BF4DB90E9AC4D</ManifestCertificateThumbprint>
    <ManifestKeyFile>AsianOptions_TemporaryKey.pfx</ManifestKeyFile>
    <SignManifests>true</SignManifests>
    <IsWebBootstrapper>False</IsWebBootstrapper>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <PublishUrl>publish\</PublishUrl>
    <InstallUrl>
    </InstallUrl>
    <TargetCulture>en</TargetCulture>
    <ApplicationVersion>1.0.0.1</ApplicationVersion>
    <AutoIncrementApplicationRevision>true</AutoIncrementApplicationRevision>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>days</UpdateIntervalUnits>
  </PropertyGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.VSTORuntime.3.0">
      <Visible>False</Visible>
      <ProductName>Visual Studio Tools for the Office system 3.0 Runtime</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <PropertyGroup>
    <VSTO_EmbedTypeLibraryInAssembly>false</VSTO_EmbedTypeLibraryInAssembly>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <EnableUnmanagedDebugging>false</EnableUnmanagedDebugging>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <EnableUnmanagedDebugging>false</EnableUnmanagedDebugging>
    <DefineConstants>TRACE</DefineConstants>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.AddIn, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="Microsoft.Office.Tools.v9.0, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Office.Tools.Common.v9.0, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Office.Tools.Excel.v9.0, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.Hpc.Scheduler, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\..\Program Files\Microsoft HPC Pack 2008 SDK\Bin\Microsoft.Hpc.Scheduler.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Hpc.Scheduler.Properties, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\..\Program Files\Microsoft HPC Pack 2008 SDK\Bin\Microsoft.Hpc.Scheduler.Properties.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Hpc.Scheduler.Session, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\..\Program Files\Microsoft HPC Pack 2008 SDK\Bin\Microsoft.Hpc.Scheduler.Session.dll</HintPath>
    </Reference>
    <Reference Include="stdole, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
      <Private>False</Private>
    </Reference>
    <Reference Include="Office, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Vbe.Interop, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Office.Interop.Excel, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Runtime.Serialization">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.ServiceModel">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Config.cs" />
    <EmbeddedResource Include="Sheet1.resx">
      <DependentUpon>Sheet1.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Sheet2.resx">
      <DependentUpon>Sheet2.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Sheet3.resx">
      <DependentUpon>Sheet3.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ThisWorkbook.resx">
      <DependentUpon>ThisWorkbook.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="AsianOptionPricingCSharpBehind.xlsx" />
    <Compile Include="Service References\AsianOptionsService\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.svcmap</DependentUpon>
    </Compile>
    <Compile Include="Sheet1.cs">
      <DependentUpon>AsianOptionPricingCSharpBehind.xlsx</DependentUpon>
    </Compile>
    <Compile Include="Sheet1.Designer.cs">
      <DependentUpon>Sheet1.Designer.xml</DependentUpon>
    </Compile>
    <Compile Include="Sheet2.cs">
      <DependentUpon>AsianOptionPricingCSharpBehind.xlsx</DependentUpon>
    </Compile>
    <Compile Include="Sheet2.Designer.cs">
      <DependentUpon>Sheet2.Designer.xml</DependentUpon>
    </Compile>
    <Compile Include="Sheet3.cs">
      <DependentUpon>AsianOptionPricingCSharpBehind.xlsx</DependentUpon>
    </Compile>
    <Compile Include="Sheet3.Designer.cs">
      <DependentUpon>Sheet3.Designer.xml</DependentUpon>
    </Compile>
    <Compile Include="ThisWorkbook.cs">
      <DependentUpon>AsianOptionPricingCSharpBehind.xlsx</DependentUpon>
    </Compile>
    <Compile Include="ThisWorkbook.Designer.cs">
      <DependentUpon>ThisWorkbook.Designer.xml</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="ThisWorkbook.Designer.xml">
      <DependentUpon>ThisWorkbook.cs</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Sheet1.Designer.xml">
      <DependentUpon>Sheet1.cs</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Sheet2.Designer.xml">
      <DependentUpon>Sheet2.cs</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="AsianOptions_TemporaryKey.pfx" />
    <None Include="Service References\AsianOptionsService\Service1.xsd" />
    <None Include="Sheet3.Designer.xml">
      <DependentUpon>Sheet3.cs</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadataStorage Include="Service References\AsianOptionsService\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\AsianOptionsService\Service1.disco" />
    <None Include="Service References\AsianOptionsService\Service1.wsdl" />
    <None Include="Service References\AsianOptionsService\Service11.xsd" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\AsianOptionsService\configuration.svcinfo" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\AsianOptionsService\AsianOptions.AsianOptionsService.PriceAsianOptionsResponse.datasource">
      <DependentUpon>Reference.svcmap</DependentUpon>
    </None>
    <None Include="Service References\AsianOptionsService\Reference.svcmap">
      <Generator>WCF Proxy Generator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v9.0\OfficeTools\Microsoft.VisualStudio.Tools.Office.Office2007.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{BAA0C2D2-18E2-41B9-852F-F413020CAA33}">
        <ProjectProperties HostName="AsianOptionPricingCSharpBehind.xlsx" HostPackage="{B284B16A-C42C-4438-BDCD-B72F4AC43CFB}" OfficeVersion="12.0" VstxVersion="3.0" ApplicationType="XLS" Language="CS" TemplatesPath="VSTOTemplates" DebugInfoExeName="E:\Program Files (x86)\Microsoft Office\Office12\Excel.exe" DebugInfoCommandLine="&quot;[$OUTPUT]AsianOptionPricingCSharpBehind.xlsx&quot;" />
        <Host Name="Excel Document" Path=".\AsianOptionPricingCSharpBehind.xlsx" GeneratedCodeNamespace="AsianOptions" PublishedHash="FEDBF9DFB69047C294E871B9B7BD428DCA8504F7">
          <HostItem Name="Sheet1" Code="Sheet1.cs" CanonicalName="Sheet1" PublishedHash="DA5C7B937308A1685F625AA9C49D2C8D1E472763" DisplayName="Sheet1" Blueprint="Sheet1.Designer.xml" GeneratedCode="Sheet1.Designer.cs" />
          <HostItem Name="Sheet2" Code="Sheet2.cs" CanonicalName="Sheet2" PublishedHash="8BA9D04D2DB76EEDE3377E4A81C247DD51FCA6F3" DisplayName="Sheet2" Blueprint="Sheet2.Designer.xml" GeneratedCode="Sheet2.Designer.cs" />
          <HostItem Name="Sheet3" Code="Sheet3.cs" CanonicalName="Sheet3" PublishedHash="FF128460D7010B27DCC22E5B2FD1BD54D8841974" DisplayName="Sheet3" Blueprint="Sheet3.Designer.xml" GeneratedCode="Sheet3.Designer.cs" />
          <HostItem Name="ThisWorkbook" Code="ThisWorkbook.cs" CanonicalName="ThisWorkbook" PublishedHash="4681189074353795433FF58CA9E4151A8D8DC5CD" Blueprint="ThisWorkbook.Designer.xml" GeneratedCode="ThisWorkbook.Designer.cs" />
        </Host>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!--
    To modify your build process, add your task inside one of the targets below and uncomment it.
    Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>